<?php
/*
	Name: Thesis Clever Page Navigation 
	Author: wpthesisskins.com
	Version: 1.0
	Description: Thesis Clever Page Naviation Box for Thesis 2.0.
	Class: thesis_clever_page_navigation
*/


class thesis_clever_page_navigation extends thesis_box {
	
	protected function translate() {
		$this->title = __('Thesis Clever Page Navigation', 'thesis');
	}
	
	protected function construct() {
		wp_enqueue_style('thesis-clever-page-navigation', THESIS_USER_BOXES_URL . "/thesis-clever-page-navigation/css/style.css");
	}
	
	protected function options() {
		global $thesis;
		return array(
			'nav1rcheck' => array(

				'type' => 'checkbox',

					'label' => __('Display page navigation', 'thesis'),

					'options' => array(

						'nav1rchecktext' => __('Click here to enable page navigation', 'thesis'),

					),

					'default' => array(

						'nav1rchecktext' => false,

						'html'	=> ''

					)

				),
			
			);
	}
	
		

 

	public function html() {
		global $thesis, $paged, $wp_query;
		 $range = 2;
         $showitems = ($range * 2)+1; 
 
     if(empty($paged)) $paged = 1;
 
     if($pages == '')
     {
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }  
 
     if(1 != $pages)
     {
         echo "<div class=\"pagination\"><span>Page ".$paged." of ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; First</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; Previous</a>";
 
         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
             }
         }
 
         if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">Next &rsaquo;</a>"; 
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last &raquo;</a>";
         echo "</div>\n";
     }
}
	
}?>